API ReferenceapieventsGET /v1/events/{stream}/replay

GET /v1/events/\{stream\}/replay

Service: events · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • stream (string) required

Query parameters

  • from (string) —
  • limit (integer) —

Responses

200 Replayed events

{
  "type": "object",
  "properties": {
    "events": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "payload": {
            "type": "object",
            "additionalProperties": {}
          },
          "ts": {
            "type": "string",
            "format": "date-time"
          },
          "correlation_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "status": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "name",
          "payload",
          "ts",
          "correlation_id",
          "status"
        ]
      }
    },
    "count": {
      "type": "number"
    }
  },
  "required": [
    "events",
    "count"
  ]
}

Example

curl -X GET https://events.platform.loop.health/v1/events/{stream}/replay \
  -H "Authorization: Bearer $ACCESS_TOKEN"